---
updatedAt: 2026-06-18T06:18:31.000Z
agentTools:
  projectIndex: https://developer.pay.nl/llms.txt
---

# Issuers

Get all issuers that are available in our system.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "PAY. Global Management System API's",
    "description": "The restful API for interacting with the Pay.",
    "termsOfService": "https://www.pay.nl/en/terms-conditions",
    "contact": {
      "name": "Pay.",
      "url": "https://developer.pay.nl",
      "email": "support@pay.nl"
    },
    "license": {
      "name": "Proprietary",
      "url": "https://www.pay.nl/en/terms-conditions"
    },
    "version": "2"
  },
  "servers": [
    {
      "url": "https://gms.pay.nl",
      "description": "Pay.nl"
    }
  ],
  "paths": {
    "/v2/issuers": {
      "get": {
        "operationId": "issuer_issuers_get",
        "tags": [
          "Core Data"
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Issuer.IssuersOutput"
                },
                "examples": {
                  "success": {
                    "$ref": "#/components/examples/IssuersResponse200Successful"
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "405": {
            "$ref": "#/components/responses/MethodNotAllowed"
          },
          "406": {
            "$ref": "#/components/responses/NotAcceptable"
          },
          "410": {
            "$ref": "#/components/responses/Gone"
          },
          "415": {
            "$ref": "#/components/responses/UnsupportedMediaType"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "503": {
            "$ref": "#/components/responses/ServiceUnavailable"
          }
        },
        "summary": "Issuers",
        "description": "Get all issuers that are available in our system.",
        "parameters": [],
        "deprecated": false
      },
      "parameters": [
        {
          "name": "Accept-Language",
          "in": "header",
          "description": "Locales for the following languages are accepted, all others are treated with \"en_GB\" by default.",
          "required": false,
          "deprecated": false,
          "schema": {
            "type": "string",
            "enum": [
              "en_GB",
              "de_DE",
              "es_ES",
              "fr_BE",
              "fr_FR",
              "it_IT",
              "nl_BE",
              "nl_NL",
              "nl",
              "de",
              "en",
              "fr",
              "es",
              "it"
            ]
          },
          "style": "simple",
          "explode": false,
          "examples": {
            "default_locale": {
              "summary": "Query for results in en_GB.",
              "value": "en_GB"
            }
          }
        }
      ]
    }
  },
  "components": {
    "schemas": {
      "Issuer.IssuerOutput": {
        "type": "object",
        "description": "",
        "deprecated": false,
        "properties": {
          "id": {
            "type": "integer",
            "description": "The identifier for this issuer",
            "example": 3
          },
          "code": {
            "type": "string",
            "description": "The code for this issuer",
            "example": "PB-1234-4321"
          },
          "name": {
            "type": "string",
            "description": "The issuer name",
            "example": "ABN AMRO"
          },
          "bic": {
            "type": [
              "string",
              "null"
            ],
            "description": "The Bank Identifier Code",
            "example": "ABNANL2A"
          },
          "issuerId": {
            "type": "string",
            "description": "Numerical identifier of the issuer",
            "example": "0031"
          },
          "available": {
            "type": "boolean",
            "description": "The indication if this issuer is available",
            "example": true
          },
          "status": {
            "type": "string",
            "description": "The current status of this issuer",
            "example": "ACTIVE",
            "enum": [
              "ACTIVE",
              "INACTIVE"
            ]
          },
          "image": {
            "type": [
              "string",
              "null"
            ],
            "description": "Image of the integration",
            "example": "/issuers/1.svg"
          },
          "paymentMethod": {
            "$ref": "#/components/schemas/PaymentMethodOutput"
          },
          "data": {
            "description": "Additional data for this issuer",
            "type": [
              "array",
              "null"
            ],
            "items": {
              "type": "string"
            }
          },
          "createdAt": {
            "type": [
              "string",
              "null"
            ],
            "format": "date-time",
            "description": "The date and time at which this entity was created in ISO-8601 (ATOM) notation",
            "example": "2024-06-04T08:15:00+01:00"
          },
          "modifiedAt": {
            "type": [
              "string",
              "null"
            ],
            "format": "date-time",
            "description": "The date and time at which this entity was modified in ISO-8601 (ATOM) notation.",
            "example": "2024-06-04T08:15:00+01:00"
          },
          "deletedAt": {
            "type": [
              "string",
              "null"
            ],
            "format": "date-time",
            "description": "The date and time at which this entity was deleted in ISO-8601 (ATOM) notation.",
            "example": "A-1234-4321"
          }
        }
      },
      "Issuer.IssuersOutput": {
        "type": "object",
        "description": "",
        "deprecated": false,
        "properties": {
          "issuers": {
            "readOnly": true,
            "description": "Collection of Issuer.IssuerOutput objects or an empty array",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Issuer.IssuerOutput"
            }
          },
          "total": {
            "type": [
              "integer",
              "null"
            ],
            "description": "The total items the collection contains",
            "example": 10
          },
          "_links": {
            "readOnly": true,
            "type": [
              "array",
              "null"
            ],
            "items": {
              "$ref": "#/components/schemas/LinkOutput"
            }
          }
        }
      },
      "LinkOutput": {
        "type": "object",
        "description": "A hyperlink to a related resource.",
        "deprecated": false,
        "properties": {
          "href": {
            "type": [
              "string",
              "null"
            ],
            "description": "The URI to the linked resource"
          },
          "rel": {
            "type": [
              "string",
              "null"
            ],
            "description": "The name of the linked resource"
          },
          "type": {
            "type": [
              "string",
              "null"
            ],
            "description": "The (http(s)) method needed to approach the linked resource"
          }
        },
        "title": "Link"
      },
      "PaymentMethodOutput": {
        "type": "object",
        "description": "A payment method including its id.",
        "deprecated": false,
        "properties": {
          "id": {
            "type": "integer",
            "description": "The identifier for the payment method",
            "example": 1
          },
          "name": {
            "type": "string",
            "description": "The name for the payment method",
            "example": "iDeal"
          }
        },
        "title": "Payment Method"
      },
      "ErrorOutput": {
        "type": "object",
        "description": "Standard error response body returned when an API request fails.",
        "deprecated": false,
        "properties": {
          "type": {
            "default": "https://developer.pay.nl/docs/error-codes",
            "example": "https://developer.pay.nl/docs/error-codes",
            "type": "string",
            "description": "URI identifying the error type documentation."
          },
          "code": {
            "type": "string",
            "description": "PAY error code identifying the error.",
            "example": "PAY-1404",
            "pattern": "^PAY-\\d{1,4}$"
          },
          "title": {
            "type": "string",
            "description": "Short, human-readable summary of the error.",
            "example": "Resource not found"
          },
          "detail": {
            "type": "string",
            "description": "Detailed explanation of the error.",
            "example": "The requested resource is not found"
          },
          "violations": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ViolationOutput"
            },
            "description": "Field-level validation violations, when applicable.",
            "example": [
              {
                "propertyPath": "name",
                "message": "This value should not be blank."
              }
            ]
          },
          "trace": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Stack trace entries (only included in non-production environments).",
            "example": []
          }
        }
      },
      "ViolationOutput": {
        "type": "object",
        "description": "A single field-level validation violation within an error response.",
        "deprecated": false,
        "properties": {
          "propertyPath": {
            "type": [
              "string",
              "null"
            ],
            "description": "JSON pointer or property path to the invalid field, or null for a general error.",
            "example": "name"
          },
          "message": {
            "type": "string",
            "description": "Human-readable description of the validation failure.",
            "example": "This value should not be blank."
          },
          "code": {
            "type": [
              "string",
              "null"
            ],
            "description": "PAY error code for this violation.",
            "example": "PAY-1422",
            "pattern": "^PAY-\\d{1,4}$"
          }
        }
      }
    },
    "responses": {
      "BadRequest": {
        "description": "Bad request, see response body for more information",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorOutput"
            },
            "examples": {
              "BadRequest": {
                "summary": "Bad Request",
                "value": {
                  "type": "https://developer.pay.nl/docs/error-codes",
                  "code": "PAY-1400",
                  "title": "Bad request",
                  "detail": "The given input is malformed",
                  "violations": [
                    {
                      "propertyPath": null,
                      "message": "Bad request",
                      "code": "PAY-1400"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Unauthorized. Supplied credentials are invalid",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorOutput"
            },
            "examples": {
              "Unauthorized": {
                "summary": "Supplier credentials are invalid",
                "value": {
                  "type": "https://developer.pay.nl/docs/error-codes",
                  "code": "PAY-1401",
                  "title": "Authentication is needed to access this resource",
                  "detail": "",
                  "violations": [
                    {
                      "propertyPath": null,
                      "message": "Authentication is needed to access this resource",
                      "code": "PAY-1401"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "Forbidden": {
        "description": "Forbidden. Supplied credentials have no rights",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorOutput"
            },
            "examples": {
              "Forbidden": {
                "summary": "Supplier credentials have no rights",
                "value": {
                  "type": "https://developer.pay.nl/docs/error-codes",
                  "code": "PAY-1403",
                  "title": "Access denied",
                  "detail": "",
                  "violations": [
                    {
                      "propertyPath": null,
                      "message": "Access denied",
                      "code": "PAY-1403"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "NotFound": {
        "description": "Resource not found",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorOutput"
            },
            "examples": {
              "NotFound": {
                "summary": "The requested resource is not found",
                "value": {
                  "type": "https://developer.pay.nl/docs/error-codes",
                  "code": "PAY-1404",
                  "title": "The requested resource is not found",
                  "detail": "",
                  "violations": [
                    {
                      "propertyPath": null,
                      "message": "The requested resource is not found",
                      "code": "PAY-1404"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "MethodNotAllowed": {
        "description": "Used HTTP method is not allowed",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorOutput"
            },
            "examples": {
              "MethodNotAllowed": {
                "summary": "The used HTTP method is not allowed",
                "value": {
                  "type": "https://developer.pay.nl/docs/error-codes",
                  "code": "PAY-1405",
                  "title": "The request method is not supported by the target resource",
                  "detail": "",
                  "violations": [
                    {
                      "propertyPath": null,
                      "message": "The request method is not supported by the target resource",
                      "code": "PAY-1405"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "NotAcceptable": {
        "description": "Not acceptable. The supplied content type in the accept parameter in the header is not supported",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorOutput"
            },
            "examples": {
              "NotAcceptable": {
                "summary": "The supplied content type in the accept parameter in the header is not supported",
                "value": {
                  "type": "https://developer.pay.nl/docs/error-codes",
                  "code": "PAY-1406",
                  "title": "There is no content that is acceptable by this server",
                  "detail": "",
                  "violations": [
                    {
                      "propertyPath": null,
                      "message": "There is no content that is acceptable by this server",
                      "code": "PAY-1406"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "Gone": {
        "description": "Indicates that this resource is no longer available for use",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorOutput"
            },
            "examples": {
              "Gone": {
                "summary": "The requested resource is no longer available",
                "value": {
                  "type": "https://developer.pay.nl/docs/error-codes",
                  "code": "PAY-1410",
                  "title": "The requested resource is no longer available",
                  "detail": "",
                  "violations": [
                    {
                      "propertyPath": null,
                      "message": "The requested resource is no longer available",
                      "code": "PAY-1410"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "UnsupportedMediaType": {
        "description": "Unsupported media. The supplied content type in the content-type parameter in the header is not supported",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorOutput"
            },
            "examples": {
              "UnsupportedMediaType": {
                "summary": "The supplied content type in the content-type parameter in the header is not supported",
                "value": {
                  "type": "https://developer.pay.nl/docs/error-codes",
                  "code": "PAY-1415",
                  "title": "The server does not support the requested media type",
                  "detail": "",
                  "violations": [
                    {
                      "propertyPath": null,
                      "message": "The server does not support the requested media type",
                      "code": "PAY-1415"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "TooManyRequests": {
        "description": "Rate limit reached.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorOutput"
            },
            "examples": {
              "TooManyRequests": {
                "summary": "Rate limit reached.",
                "value": {
                  "type": "https://developer.pay.nl/docs/error-codes",
                  "code": "PAY-1429",
                  "title": "Too many requests",
                  "detail": "Rate limit reached, try again in 15 minutes.",
                  "violations": [
                    {
                      "propertyPath": null,
                      "message": "Too many requests",
                      "code": "PAY-1429"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "InternalServerError": {
        "description": "An internal error occurred.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorOutput"
            },
            "examples": {
              "InternalServerError": {
                "summary": "An internal error occurred.",
                "value": {
                  "type": "https://developer.pay.nl/docs/error-codes",
                  "code": "PAY-1500",
                  "title": "An internal error has occurred",
                  "detail": "Failed to process request due to X",
                  "violations": [
                    {
                      "propertyPath": null,
                      "message": "An internal error has occurred",
                      "code": "PAY-1500"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "ServiceUnavailable": {
        "description": "The server is currently unable to handle your request",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorOutput"
            },
            "examples": {
              "ServiceUnavailable": {
                "summary": "The server is currently unable to handle your request.",
                "value": {
                  "type": "https://developer.pay.nl/docs/error-codes",
                  "code": "PAY-1503",
                  "title": "The server is unable to handle your request, try again later.",
                  "detail": "The server is currently unable to handle your request, try again in 15 minuntes.",
                  "violations": [
                    {
                      "propertyPath": null,
                      "message": "The server is unable to handle your request, try again later.",
                      "code": "PAY-1503"
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "examples": {
      "IssuersResponse200Successful": {
        "summary": "Get Issuers",
        "description": "Get Issuers",
        "value": {
          "total": 1,
          "issuers": [
            {
              "id": 3,
              "code": "PB-1234-4321",
              "name": "ABN AMRO",
              "bic": "ABNANL2A",
              "issuerId": "0031",
              "available": true,
              "status": "ACTIVE",
              "image": "/issuers/1.svg",
              "paymentMethod": {
                "id": 1,
                "name": "iDeal"
              },
              "data": null,
              "createdAt": "2024-06-04T08:15:00+01:00",
              "modifiedAt": null,
              "deletedAt": null
            }
          ],
          "_links": [
            {
              "href": "/issuers",
              "rel": "self",
              "type": "GET"
            }
          ]
        }
      }
    },
    "securitySchemes": {
      "BasicAuth": {
        "type": "http",
        "description": "HTTP Basic authentication using your API token as the username and an empty password.",
        "scheme": "basic"
      },
      "BearerAuth": {
        "type": "http",
        "description": "Example: Bearer 12345xx6xxx1x2x123456789123xx123x12345x4",
        "scheme": "bearer"
      }
    }
  },
  "security": [
    {
      "BasicAuth": []
    },
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Core Data",
      "description": "Core Data"
    }
  ]
}
```